(* ::Package:: *)

(* AutoDipole - Package of an automated dipole subtraction by
Kouhei Hasegawa, Sven Moch, and Peter Uwer, 2009 *)


(* Filename:driver_user.m :driver file of user *)


packagedir=Directory[];
mathdir=StringJoin[packagedir, "/lib/math/"];
executeshell=StringJoin[packagedir, "/lib/sh/runall.sh"];
pathuserparameter=StringJoin[packagedir,"/parameter.m"];
SetDirectory[mathdir];
<<driver.m;
SetDirectory[packagedir];


GenerateAll[ilist_,flist_]:=Module[{},
<<parameter.m;
SetDirectory[mathdir];
CreateAll[ilist,flist];
SetDirectory[packagedir];
executeshellanddirectory=StringJoin[executeshell," ",processdir];
Run[executeshellanddirectory];
];
